<?php 
include('../../../../configuracion.php');
include('../config.php');
	 	 
///////////////////////////////////////////////////////
 
$titulo 		= isset($_POST['titulo']) ? $_POST['titulo'] : NULL;
$titulo_enlace 	= isset($_POST['titulo_enlace']) ? $_POST['titulo_enlace'] : NULL;
$enlace 		= isset($_POST['enlace']) ? $_POST['enlace'] : NULL;
$destino 		= isset($_POST['destino']) ? $_POST['destino'] : NULL;
$estado 			= isset($_POST['estado']) ? $_POST['estado'] : NULL;

$titulo = funcion::LimpiaComillaSimple($titulo);

// ============================

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'titulo'			=> $db->string($titulo),
			'enlace'			=> $db->string($enlace),
			'destino'			=> $db->string($destino),
			'titulo_enlace'		=> $db->string($titulo_enlace),
			'estado'			=> @$estado+0,
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);


		$db->insert(TABLA,$datos);
		$id = $db->UltimoId(TABLA);

		
		if (!empty($id)) {
			$mensaje_respuesta = 'Datos agregados.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar.';
			$url_respuesta = MAGO."c/".MODULO.'/agregar';
		}

		$datos_orden = array(
			'orden'		=> @$id+0,
		);		
		$db->update(TABLA,$datos_orden,"id='$id'");

		// ======PROCESAMOS IMAGEN 1 =======
		// ========================================
		
		// Incluimos la clase Upload
		include_once 'class.upload.php';
		

			if(isset($_FILES['imagen_nueva'])){
		$imagen = new upload($_FILES['imagen_nueva']);
        
		
		// Comprobamos si se subió la imagen
		  if ($imagen->uploaded) {
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 72;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= 'slide-'.$id;
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_x			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_y					= 250; /* Alto */
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================		
		
		}
}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======
if(isset($_FILES['imagen_back'])){
        $imagenback = new upload($_FILES['imagen_back']);
		
		  if ($imagenback->uploaded) {

		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			
			  if ($imagenback->processed) {
				  
			
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagenback->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================		
		
		}
}
		//======FIN DEL PROCESO DE LA IMAGEN 1=======



		//======FIN DEL PROCESO DE LA IMAGEN 1=======
if(isset($_FILES['imagen_back_mobile'])){
        $imagenbackmobile = new upload($_FILES['imagen_back_mobile']);

        // Comprobamos si se subió la imagen
		  if ($imagenbackmobile->uploaded) {
        // ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
				$imagenbackmobile->image_convert			= 'jpg';
				$imagenbackmobile->jpeg_quality				= 72;
				$imagenbackmobile->allowed					= array('image/*');
				$imagenbackmobile->file_new_name_body		= 'slide-'.$id;
				$imagenbackmobile->image_resize				= true;
				$imagenbackmobile->image_ratio_crop			= true;
				$imagenbackmobile->image_background_color	= '#FFFFFF';
				$imagenbackmobile->image_x					= 500; /* Ancho */
				$imagenbackmobile->image_y					= 900; /* Alto */
				
				$imagenbackmobile->process('../../../../imagenes/'.FOLDER.'/');
				if ($imagenbackmobile->processed) {
					
				// Subimos a la base de datos
				$datos = array(
					'imagen_back_mobile'	=> $db->string($imagenbackmobile->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagenbackmobile->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================		
		
		}
}
		//======FIN DEL PROCESO DE LA IMAGEN 1=======


echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>